/* --------- Home Page --------- */
.headlinebox { /* Box that all the Headline elements are in*/
    margin: 10px; /* Gives items space between*/
    width:  -10px;
    border: 10px;
    height: 500px;
    padding: 10px;
    object-fit: contain;
    background-color: #fc9f5bff;
    overflow: hidden; 
    border-radius: 16px;
    display: flex;
}

.leftheadlinebox { /* Left side of the box that all the Headline elements are in*/
    border-radius: 8px;
    width:  100%;
    height: 100%;
    object-fit: contain;
    display: block;
}
.leftheadlinebox p { /* Rignt side of the box that all the Headline elements are in*/
    width:  95%;
    padding: 10px;
    font-size: 18px;
    display: block;
    justify-content: center; /* Horizontal center */
    align-items: center;     /* Vertical center */
    object-fit: contain;
}
.leftheadlinebox h1 { /* Rignt side of the box that all the Headline elements are in*/
    width:  -10px;
    height: 10%;
    padding-left: 10px;
    padding-top: -5px;
    font-size: clamp(2rem, 5vw, 3rem);
    display: block;
    justify-content: center; /* Horizontal center */
    align-items: center;     /* Vertical center */
    object-fit: contain;

}
.leftheadlinebox img {
    border-radius: 8px;
    width:  100%;
    height: 100%;
    object-fit: cover;
    display: block;
    margin: 0 auto;
}

.centerheadlinebox { /* Center side of the box that all the Headline elements are in*/
    border-radius: 8px;
    width:  100%;
    height: 100%;
    display: inline-block;
    object-fit: fill;
}

.rightheadlinebox { /* Rignt side of the box that all the Headline elements are in*/
    width:  100%;
    height: 100%;
    display: block;
    object-fit: contain;
}
.rightheadlinebox p { /* Rignt side of the box that all the Headline elements are in*/
    width:  95%;
    padding: 10px;
    font-size: 18px;
    display: block;
    justify-content: center; /* Horizontal center */
    align-items: center;     /* Vertical center */
    object-fit: contain;
}
.rightheadlinebox h1 { /* Rignt side of the box that all the Headline elements are in*/
    width:  -10px;
    height: 10%;
    padding-left: 10px;
    padding-top: -5px;
    font-size: 32px;
    display: block;
    justify-content: center; /* Horizontal center */
    align-items: center;     /* Vertical center */
    object-fit: contain;
}
.rightheadlinebox img {
    border-radius: 8px;
    width:  100%;
    height: 100%;
    object-fit: cover;
    display: block;
    margin: 0 auto;
}

.contentbox {
    margin: 10px; /* Gives items space between*/
    width: -10px;
    border: 10px;
    height: 500px;
    padding: 10px;
    border-radius: 16px;
    display: flex;
    justify-content: center; /* Horizontal center */
    align-items: center;     /* Vertical center */
    overflow: clip;
}
.contentbox img {
    border-radius: 8px;
    width: 100%;
    height: 70%;
    object-fit: cover;
    overflow: clip;
    border-radius: 16px;
    display: flex;
    justify-content: center; /* Horizontal center */
    align-items: center;     /* Vertical center */
}
.contentbox h4 {
    color: #0c1618ff;
    text-decoration: none;
    font-style: bolder;
    font-size: 20px;
    display: flex;
    justify-content: center; /* Horizontal center */
    align-items: center;     /* Vertical center */
}
.contentbox p {
    color: #0c1618ff;
    text-decoration: none;
    font-style: bolder;
    font-size: 18px;
    display: flex;
    justify-content: center; /* Horizontal center */
    align-items: center;     /* Vertical center */
    text-align: center;
}
.contentbox a{
    color: #0c1618ff;
    text-decoration: none;
}

.rightcontentbox{ /* Right side of the box that holds content elements*/
    margin: 10px; /* Gives items space between*/
    width: 30%;
    height: 500px;
    padding: 10px;
    display: inline-block;
    object-fit: contain;
    background-color: rgb(216, 150, 64);
    border-radius: 16px;
}
.rightcontentbox p{
    font-size: 18px;
}
.rightcontentbox h1{
    font-size: 32px;
}
.rightcontentbox:hover {
    animation: hop 0.4s ease;
}

.centercontentbox{ /* Center side of the box that holds content elements*/
    margin: 10px; /* Gives items space between*/
    width: 30%;
    height: 500px;
    padding: 10px;
    display: inline-block;
    object-fit: contain;
    background-color: rgb(232, 202, 161);
    border-radius: 16px;
}
.centercontentbox:hover {
    animation: hop 0.4s ease;
}

.leftcontentbox{ /* Left side of the box that holds content elements*/
    margin: 10px; /* Gives items space between*/
    width: 30%;
    height: 500px;
    padding: 10px;
    display: inline-block;
    object-fit: contain;
    background-color: antiquewhite;
    border-radius: 16px;
}
.leftcontentbox p{
    font-size: 18px;
}
.leftcontentbox h1{
    font-size: 32px;
}
.leftcontentbox:hover {
    animation: hop 0.4s ease;
}

.contentboxmobilewraper{
    display: none;
}

.contentboxmobile {
    display: none;
}
.contentboxmobile a {
    display: none;
}
.contentboxmobile img {
    display: none;
}
.contentboxmobile h4 {
    display: none;
}
.contentboxmobile p {
    display: none;
}

/* --------- Mobile --------- */
@media (max-width: 768px) {
    /* --------- Mobile Home Page Adjustments --------- */
    .headlinebox{
        height: 350px;
    }
    .rightheadlinebox h1{
        font-size: 20px;
    }
    .rightheadlinebox p{
        font-size: 12px;
    }
    .leftheadlinebox image{
        height: auto;
    }

    .contentbox{
        display: none; 
    }

    .contentboxmobilewraper{
        display: flex;
        flex-direction: column;
        align-items: center;
      }
    
    .contentboxmobile {
        width: 65%;
        min-height: 100px;
        margin: 10px;
        padding: 10px;
        display: flex;
        flex-direction: column;
        align-items: center;
        background-color: rgb(216, 150, 64);
        border-radius: 16px;
        box-sizing: border-box;
    }
    .contentboxmobile a {
        color: inherit;
        text-decoration: none;
        display: block;
    }
    .contentboxmobile img {
        width: 80%;
        height: 200px;
        object-fit: cover;
        border-radius: 16px;
        display: block;
        margin: 0 auto;
    }
    .contentboxmobile h4 {
        color: #0c1618ff;
        font-size: 20px;
        font-weight: bold;
        text-align: center;
        margin: 10px 0 5px;
        display: block;
    }
    .contentboxmobile p {
        display: block;
        color: #0c1618ff;
        font-size: 12px;
        text-align: center;
        margin: 5px 0 10px;
    }
    
    /* --------- Mobile Header Adjustments --------- */

    .header h1 {
        font-size: 28px;
        float: none;
        display: block;
        width: 100%;
        box-sizing: border-box;
        margin: 0;
        padding: 5px;
        font-size: clamp(22px, 5vw, 36px);

    }
    .header h2 {
      float: none;
      display: block;
      width: 100%;
      box-sizing: border-box;
      margin: 0;
      padding: 5px;
      font-size: 20px;
    }
  }

/* --------- Header, Footer, and Body --------- */
.header {
    overflow: hidden;
    top: 10px;
    background-color: rgba(255, 145, 0, 0.816);
    padding: 5px;
    border-radius: 16px;
    border: #0c1618ff;
    margin: 10px;
}
    .header h1, h1:visited{
        float: left;
        font-family: "Sekuya", system-ui;
        color: #0c1618ff;
        text-align: center;
        padding: 14px 16px;
        text-decoration: none;
        font-size: 32px;
    }
    .header h1.hover {
        background-color: #ff0022c7;
        color: inherit;
    }
    .header h1.active {
        background-color: #ff002250;
        color: inherit;
    }
    .header h2 {
        position: relative;
        float: right;
        font-family: "Roboto", sans-serif;
        color: #0c1618ff;
        text-align: center;
        padding: 14px 16px;
        font-size: 28px;
    
        background: transparent;
        border-radius: 30px;
        overflow: hidden;
        z-index: 1;
    }
    .header h2::before {
        content: "";
        position: absolute;
        width: 0;
        height: 0;
        background: rgb(255, 75, 75);
        border-radius: 16px;
    
        left: 50%;
        top: 50%;
        transform: translate(-50%, -50%);
    
        transition: width 0.4s ease, height 0.4s ease;
    
        z-index: -1;
    }
    .header h2:hover::before {
        width: 300px;
        height: 300px;
    }
    .header a, a:visited, a:hover, a:focus, a:active {
        color: inherit;
        text-decoration: none;
    }

/*Sets anything labled "body" to have that background color*/
body{
  /*Cite Background Info*/
  background-image: url("live-images/background-1.avif");
  background-repeat: no-repeat; /*Stops the background from repeating if the background does not fill the page*/
  background-attachment: fixed; /*Makes the background streatch to the end of the page and not move with the page*/
  background-position: center; /*Centers the immage*/
  background-size: cover; /*Makes the background size shift as needed*/
  font-family: "PT Serif", serif;
  padding: 10px;
}

footer {
    top: 10px;
    width: 100%;
    text-align: center;
    font: 22px;
    background-color: rgba(255, 235, 205, 0.715);
    color: black;
  }


/* Got code from https://uiverse.io/david-mohseni/brave-shrimp-86 */
.wrapper {
    display: inline-flex;
    list-style: none;
    width: 100%;
    padding-top: 40px;
    font-family: "Poppins", sans-serif;
    box-sizing: border-box;
    justify-content: center;
}
    .wrapper .icon {
        position: relative;
        background: #fff;
        border-radius: 50%;
        margin: 10px;
        width: 50px;
        height: 50px;
        font-size: 18px;
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        box-shadow: 0 10px 10px rgba(0, 0, 0, 0.1);
        cursor: pointer;
        transition: all 0.2s cubic-bezier(0.68, -0.55, 0.265, 1.55);
    }
    .wrapper .tooltip {
        position: absolute;
        top: 0;
        font-size: 14px;
        background: #fff;
        color: #fff;
        padding: 5px 8px;
        border-radius: 5px;
        box-shadow: 0 10px 10px rgba(0, 0, 0, 0.1);
        opacity: 0;
        pointer-events: none;
        transition: all 0.3s cubic-bezier(0.68, -0.55, 0.265, 1.55);
    }
    .wrapper .tooltip::before {
        position: absolute;
        content: "";
        height: 8px;
        width: 8px;
        background: #fff;
        bottom: -3px;
        left: 50%;
        transform: translate(-50%) rotate(45deg);
        transition: all 0.3s cubic-bezier(0.68, -0.55, 0.265, 1.55);
    }
    .wrapper .icon:hover .tooltip {
        top: -45px;
        opacity: 1;
        visibility: visible;
        pointer-events: auto;
    }
    .wrapper .icon:hover span,
    .wrapper .icon:hover .tooltip {
        text-shadow: 0px -1px 0px rgba(0, 0, 0, 0.1);
    }
    .wrapper .itchio:hover,
    .wrapper .itchio:hover .tooltip,
    .wrapper .itchio:hover .tooltip::before {
        background: #fa5c5c;
        color: #fff;
    }
    .wrapper .youtube:hover,
    .wrapper .youtube:hover .tooltip,
    .wrapper .youtube:hover .tooltip::before {
        background: #CD201F;
        color: #fff;
    }
    .wrapper .linkedin:hover,
    .wrapper .linkedin:hover .tooltip,
    .wrapper .linkedin:hover .tooltip::before {
        background: #0077B5;
        color: #fff;
    }

    .wrapper .github:hover,
    .wrapper .github:hover .tooltip,
    .wrapper .github:hover .tooltip::before {
        background: #8534F3;
        color: #fff;
    }
    .wrapper .icon a {
        color: inherit;
        text-decoration: none;
    }
    .wrapper .icon a:visited {
        color: inherit;
    }
    .wrapper .icon a:hover {
        color: inherit;
    }
    .wrapper .icon a:active {
        color: inherit;
    }

/* --------- Contact me button --------- */
.contact-button {
    position: fixed;
    right: 24px;
    bottom: 24px;
    z-index: 1000;
    padding: 12px 20px;
    background: #3891A6;
    color: seashell;
    border-radius: 8px;
    font-size: 18px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.2);
}
    .contact-button:hover {
        background: #54B500;
        animation: hop 0.4s ease;

    }
    .contact-button a{
        color: inherit;
        text-decoration: none;
        display: block;
        
    }

/* --------- Animations --------- */
@keyframes hop {
    0%, 100% {
        transform: translateY(0);
    }
    40% {
        transform: translateY(-10px);
    }
    70% {
        transform: translateY(-2px);
    }
}